##============================================================================
## lua_lib.mk
##
##  * distributes sources
##  * compiles sources
##  * installs sources
##  * recompiles and installs compiled objects to get correct path in installed objects
##  * uninstalls compiled objects
##  * maintains leading directory paths
##
## The Lua Makefile.am should look something like this:
##
## include $(top_srcdir)/snippets/lua_compile.mk
## include $(top_srcdir)/snippets/lua_lib.mk
## 
## noinst_PROGRAMS = %D%/my_fake_program
## %C%_my_fake_program_SOURCES =		\
## 	%D%/.../x.lua
## 
## LUA_SRCS += $(%C%_my_fake_program_SOURCES)
## 
## %D%/my_fake_program$(EXEEXT) : $(%C%_my_fake_program_SOURCES:%.lua=%.lc)
## 	touch $@
## 
## DISTCLEANFILES	+=			\
## 	%D%/my_fake_program$(EXEEXT)		\
## 	$(%C%_my_fake_program:%.lua=%.lc)
## 


LUA_LIB_MK =

##============================================================================
## Prerequisites
##
CREATE_AM_MACROS_MK +=
LUA_COMPILE_MK +=


##============================================================================
## Variables
##
##	LUA_SRCS - list of lua source files (with .lua suffix)

LUA_SRCS		=

##============================================================================

nobase_lualib_DATA	= $(LUA_SRCS)

noinst_DATA		+= $(LUA_SRCS:%.lua=%.lc)

CLEANFILES		+= $(LUA_SRCS:%.lua=%.lc)

## recompile code on install so binary chunks get the correct path to
## the source
install-data-hook::
	$(mst__lua_set_path) ;\
	list='$(LUA_SRCS)' ;\
	for p in $$list; \
	do \
	  $(MKDIR_P) $(DESTDIR)$(lualiblcdir)/`expr "$$p" : "\(.*\)/[^/]*.lua"` ; \
	  $(LUAC) -o \
	        $(DESTDIR)$(lualiblcdir)/`expr "$$p" : "\(.*\)\.lua"`.lc \
		$(DESTDIR)$(lualibdir)/$$p ;\
	done

uninstall-local::
	-rm -f $(LUA_SRCS:%.lua=$(DESTDIR)$(lualiblcdir)/%.lc)
